- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDPhysicsRigidConstraintInstance Class Reference
[COLLADA Document Object Model.]

A COLLADA rigid constraint instance. More...

`#include <FCDPhysicsRigidConstraintInstance.h>`

Inheritance diagram for FCDPhysicsRigidConstraintInstance:

List of all members.

## Public Member Functions
| FCDPhysicsRigidConstraintInstance (FCDocument *document, FCDPhysicsModelInstance *parent, FCDPhysicsRigidConstraint *constraint)
| Constructor: do not use directly.
virtual | ~FCDPhysicsRigidConstraintInstance ()
| Destructor.
virtual Type | GetType () const
| Retrieves the entity type for this class.
FCDPhysicsModelInstance * | GetParent ()
| Retrieves the physics model instance that contraints this rigid constraint.
const FCDPhysicsModelInstance * | GetParent () const
| See above.
FCDPhysicsRigidConstraint * | GetRigidConstraint ()
| Retrieves the rigid constraint for this rigid constraint instance.
virtual FCDEntityInstance * | Clone (FCDEntityInstance *clone=NULL) const
| Clones the rigid constraint instance.
FCDPhysicsModelInstance * | GetModelParentInstance ()
| [INTERNAL] Retrieve it's parent model instance.
void | SetRigidConstraint (FCDPhysicsRigidConstraint *constraint)
| [INTERNAL] Sets the rigid body for this rigid body instance.

## Detailed Description

A COLLADA rigid constraint instance.

They are instantiated in the instance_physics_model node. The only documentation on them is that it allows overriding of properties.

## Constructor & Destructor Documentation

FCDPhysicsRigidConstraintInstance::FCDPhysicsRigidConstraintInstance | ( | FCDocument * | document,
|  | FCDPhysicsModelInstance * | parent,
|  | FCDPhysicsRigidConstraint * | constraint
| ) |

  | Constructor: do not use directly. Create new rigid constraints instances using the FCDPhysicsModel::AddRigidConstraintInstance function. Parameters:
  | document | The COLLADA document that contains this rigid constraint instance.
  | parent | The physics model instance that contains this rigid constraint instance.
  | constraint | The rigid constraint to instance. This should not be NULL unless it is expected to be filled in by LoadFromXML.

## Member Function Documentation

virtual FCDEntityInstance* FCDPhysicsRigidConstraintInstance::Clone | ( | FCDEntityInstance * | clone = `NULL` | ) | const`[virtual]`

  | Clones the rigid constraint instance. Parameters:
  | clone | The rigid constraint instance to become the clone. If this pointer is NULL, a new rigid constraint instance will be created and you will need to release it.
Returns: The clone. Reimplemented from FCDEntityInstance.

FCDPhysicsModelInstance* FCDPhysicsRigidConstraintInstance::GetModelParentInstance | ( |  | ) | `[inline]`

| [INTERNAL] Retrieve it's parent model instance. Returns: The parent of the intance.

FCDPhysicsModelInstance* FCDPhysicsRigidConstraintInstance::GetParent | ( |  | ) | `[inline]`

| Retrieves the physics model instance that contraints this rigid constraint. Returns: The physics model instance. Reimplemented from FCDEntityInstance.

FCDPhysicsRigidConstraint* FCDPhysicsRigidConstraintInstance::GetRigidConstraint | ( |  | ) | `[inline]`

| Retrieves the rigid constraint for this rigid constraint instance. Returns: The rigid constraint.

virtual Type FCDPhysicsRigidConstraintInstance::GetType | ( |  | ) | const`[inline, virtual]`

| Retrieves the entity type for this class. This function is part of the FCDEntity interface. Returns: The entity type: PHYSICS_RIGID_CONSTRAINT. Reimplemented from FCDEntityInstance.

void FCDPhysicsRigidConstraintInstance::SetRigidConstraint | ( | FCDPhysicsRigidConstraint * | constraint | ) |

  | [INTERNAL] Sets the rigid body for this rigid body instance. Default values are taken from the rigid body. Parameters:
  | body | The rigid body.

The documentation for this class was generated from the following file:

- FCDocument/FCDPhysicsRigidConstraintInstance.h